> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monirates.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create exchange from payment link



## OpenAPI

````yaml https://interface.monirates.com/v1/api-docs.json post /offer/{offerId}/payment-request/order
openapi: 3.0.3
info:
  title: Monirates API
  version: 1.0.0
  description: API documentation
servers:
  - url: https://dev.interface.monirates.com/v1
    description: Dev
security:
  - apiKeyAuth: []
tags:
  - name: Exchange
    description: Exchange operations
  - name: Payment Link
    description: Payment Link operations
  - name: Wallet
    description: Wallet operations
  - name: Transaction
    description: Transaction operations
  - name: Virtual Bank Accounts
    description: Virtual Bank Account operations
  - name: Utility
    description: Utility operations
  - name: Webhook
    description: Webhook operations
  - name: Providers
    description: Providers operations
paths:
  /offer/{offerId}/payment-request/order:
    post:
      tags:
        - Payment Link
      summary: Create exchange from payment link
      parameters:
        - name: offerId
          in: path
          required: true
          schema:
            type: string
        - name: token
          in: query
          required: true
          schema:
            type: string
        - name: idempotencykey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: number
                buyerDebitPaymentMethod:
                  type: string
                  enum:
                    - CARD
                    - WALLET
                    - BANK_TRANSFER
                    - MOBILE_MONEY
                    - INTERAC
                    - ZELLE
                    - STABLE_CURRENCY
                    - ALIPAY
                    - WECHAT_PAY
                buyerCreditPaymentMethod:
                  type: string
                  enum:
                    - CARD
                    - WALLET
                    - BANK_TRANSFER
                    - MOBILE_MONEY
                    - INTERAC
                    - ZELLE
                    - STABLE_CURRENCY
                    - ALIPAY
                    - WECHAT_PAY
                buyerCreditPaymentDetails:
                  type: object
                  properties:
                    currency:
                      type: string
                      enum:
                        - NGN
                        - USD
                        - EUR
                        - GBP
                        - CAD
                        - CNY
                        - INR
                        - GHS
                        - XOF
                        - USDT
                        - BUSD
                        - USDC
                        - CNGN
                        - XAF
                        - CDF
                        - KES
                        - MWK
                        - RWF
                        - TZS
                        - UGX
                        - ZMW
                        - SLE
                        - ETB
                        - MAD
                        - ZAR
                    holderCity:
                      type: string
                    holderStreet:
                      type: string
                    holderPostalCode:
                      type: string
                    paymentMethod:
                      type: string
                    accountName:
                      type: string
                    email:
                      type: string
                    providerName:
                      type: string
                    bankCode:
                      type: string
                    network:
                      oneOf:
                        - type: string
                        - type: string
                          enum:
                            - ERC20
                            - TRC20
                            - BEP20
                            - SOL
                            - TON
                            - BASE
                            - ARB
                    accountNumber:
                      oneOf:
                        - type: string
                          pattern: ^[0-9*]+\*$
                        - type: string
                          pattern: ^[0-9]+$
                    iso2:
                      oneOf:
                        - type: string
                          minLength: 4
                          maxLength: 4
                        - type: string
                          minLength: 2
                          maxLength: 2
                    walletAddress:
                      type: string
                    phoneNumber:
                      type: string
                      pattern: ^\+861[3-9]\d{9}$
                  required:
                    - currency
                    - paymentMethod
                buyerDebitPaymentDetails:
                  type: object
                  properties:
                    currency:
                      type: string
                      enum:
                        - NGN
                        - USD
                        - EUR
                        - GBP
                        - CAD
                        - CNY
                        - INR
                        - GHS
                        - XOF
                        - USDT
                        - BUSD
                        - USDC
                        - CNGN
                        - XAF
                        - CDF
                        - KES
                        - MWK
                        - RWF
                        - TZS
                        - UGX
                        - ZMW
                        - SLE
                        - ETB
                        - MAD
                        - ZAR
                    holderCity:
                      type: string
                    holderStreet:
                      type: string
                    holderPostalCode:
                      type: string
                    paymentMethod:
                      type: string
                    accountName:
                      type: string
                    email:
                      type: string
                    providerName:
                      type: string
                    bankCode:
                      type: string
                    network:
                      oneOf:
                        - type: string
                        - type: string
                          enum:
                            - ERC20
                            - TRC20
                            - BEP20
                            - SOL
                            - TON
                            - BASE
                            - ARB
                    accountNumber:
                      oneOf:
                        - type: string
                          pattern: ^[0-9*]+\*$
                        - type: string
                          pattern: ^[0-9]+$
                    iso2:
                      oneOf:
                        - type: string
                          minLength: 4
                          maxLength: 4
                        - type: string
                          minLength: 2
                          maxLength: 2
                    walletAddress:
                      type: string
                    phoneNumber:
                      type: string
                      pattern: ^\+861[3-9]\d{9}$
                  required:
                    - currency
                    - paymentMethod
                narration:
                  type: string
                  maxLength: 200
              required:
                - amount
                - buyerDebitPaymentMethod
                - buyerCreditPaymentMethod
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiSuccess'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiSuccess:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
        data:
          type: object
          description: Response payload
    ApiError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for API authentication

````